"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Routes = exports.Version = exports.Route = exports.registerRoutes = exports.bootstrapApplication = exports.HttpErrorHandler = void 0;
require("reflect-metadata");
const bootstrap_application_1 = require("./core/functions/bootstrap-application");
Object.defineProperty(exports, "bootstrapApplication", { enumerable: true, get: function () { return bootstrap_application_1.bootstrapApplication; } });
const http_error_handler_1 = require("./core/classes/http-error-handler");
Object.defineProperty(exports, "HttpErrorHandler", { enumerable: true, get: function () { return http_error_handler_1.HttpErrorHandler; } });
const register_routes_1 = require("./core/functions/register-routes");
Object.defineProperty(exports, "registerRoutes", { enumerable: true, get: function () { return register_routes_1.registerRoutes; } });
const route_1 = require("./core/decorators/route");
Object.defineProperty(exports, "Version", { enumerable: true, get: function () { return route_1.Version; } });
const route_2 = require("./core/decorators/route");
Object.defineProperty(exports, "Routes", { enumerable: true, get: function () { return route_2.Routes; } });
const route_3 = require("./core/decorators/route");
Object.defineProperty(exports, "Route", { enumerable: true, get: function () { return route_3.Route; } });
